<?php
// +----------------------------------------------------------------------
// | phpcms广告数据调用标签类v2.0
// +----------------------------------------------------------------------
// | Copyright (c) http://www.iphpcms.net All rights reserved.
// +----------------------------------------------------------------------
// | Author: 赵令政 <411175727@qq.com>
// +----------------------------------------------------------------------
class poster_tag {
	private $db;
	private $space_db;
	public function __construct(){
		$this->db = pc_base::load_model("poster_model");
		$this->space_db = pc_base::load_model("poster_space_model");
	}
	/**
	 * 获取指定条件广告数据
	 * @param  array $data 传入标签属性【spaceid、disabled、allinfo、pid、siteid、num、order、spaceinfo】
	 * @return array       [description]
	 */
	public function poster($data){
		$spaceid = intval($data['spaceid']); //必须指定广告位id
		if(!$spaceid) return false;
		$disabled = isset($data['disabled']) ? intval($data['disabled']) : 0 ;
		$allinfo = isset($data['allinfo']) ? intval($data['allinfo']) : 0 ; //获取所有字段信息还是只要图片、alt、链接
		$where = "spaceid=$spaceid AND disabled=$disabled";
		if(intval($data['pid'])){ //如果指定了某广告位里的某个广告元素的id
			$where .= ' AND id='.intval($data['pid']);
		}
		if(intval($data['siteid'])){ //如果指定了站点id
			$where .= ' AND siteid='.intval($data['siteid']);
		}

		if(intval($data['num'])){ //如果指定了站点id
			$limit = ' LIMIT '.intval($data['num']);
		}else{
			$limit  = '';
		}

		$order = isset($data['order'])&&trim($data['order']) ? trim($data['order']) : 'listorder DESC';
		if($allinfo){
			$return_data = $this->db->select($where,'*',$limit,$order);
		}else{ //获取处理主要信息
			$r = $this->db->select($where,'id,setting',$limit,$order);
			$return_data = array();
			foreach ($r as $key => $value) {
				$setting = string2array($value['setting']);
				if(count($setting)==1){
					$return_data[$key] = $setting[1];
				}else{
					$return_data[$key] = $setting;
				}
			}
		}
		
		if(isset($data['spaceinfo'])&&trim($data['spaceinfo'])){ //如果指定加载广告版位相关信息,返回数组数据结构有所不同
			$return_info['spaceinfo'] = $this->space_db->get_one("spaceid=$spaceid");
			$return_info['data'] = $return_data;
			return $return_info;
		}else{
			return $return_data;
		}
	}
}